<?php
/**
 * @author Krku
 * @date 2009-05-15 10:31:12
 */

/**
 * Description of Pictureclass
 */
class Picture extends DataObject {

	static $tableName = 'mf_picture';

	static $className = __CLASS__;

	static $classTablePK = 'id_mf_picture';

	static $fields = array(
		'id_mf_picture' => 'id',
		'name'			=> 'name',
		'link'			=> 'link',
		'weight'		=> 'weight',
		'publication'	=> 'publication'
	);

	protected $id;
	private $name;
	private $link;
	private $weight;
	private $publication;

	public function __construct($id = -1) {
		$this->id = $id;
	}

	public function GetId() {
		return $this->id;
	}

	public function SetId($id) {
		$this->id = $id;
	}

	public function GetName() {
		return $this->name;
	}

	public function SetName($name) {
		$this->name = $name;
	}

	public function GetLink() {
		return $this->link;
	}

	public function SetLink($link) {
		$this->link = $link;
	}

	public function GetWeight() {
		return $this->weight;
	}

	public function SetWeight($weight) {
		$this->weight = $weight;
	}

	public function GetPublication() {
		return $this->publication;
	}

	public function SetPublication($publication) {
		$this->publication = $publication;
	}

	/**
	 *
	 * @return string
	 */
	public  function GetTableName(){
		return self::$tableName;
	}
	/**
 	 *
	 * @return array
	 */
	public function GetFields(){
		return self::$fields;
	}
	/**
	 *
	 * @return string
	 */
	public function GetClassName(){
		return self::$className;
	}
	/**
	 *
	 * @return string
	 */
	public function GetClassTablePK() {
		 return self::$classTablePK;
	}
}
?>
